EXTRA_CFLAGS += -g -I$(RTL)/include -I$(RTL)/include/posix

rtl_Sched-y := rtl_sched.o $(ARCH)/switch.o rtl_mutex.o unistd.o signal.o rtl_sema.o rtl_posix.o
rtl_time-y := $(ARCH)/rtl_time.o rtl_time_common.o
obj-m = rtl_Sched.o 
obj-m += rtl_time.o

KDIR := /usr/src/linux
PWD:= $(shell pwd)

include $(RTL_DIR)/Rules.make

default: 
	cp ../main/Module.symvers .
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

clean:
	rm -f *.o *.ko 

